GENWQE_PEEK(1)

NAME
genwqe_peek - IBM Hardware Accelerator Tool.

SYNOPSIS
genwqe_peek [-h] [-v,--verbose]

DESCRIPTION

-C,--card <cardno> can be (0...3)

-A, --accelerator-type=GENWQE|CAPI CAPI is only available for System p

-V, --version
    print version.

-q, --quiet
    quiece output.

-w, --width <32|64>
    access width, 64: default

-X, --cpu <id>
    only run on this CPU.

-i, --interval <intv>
    interval in usec, 0: default.

-c, --count <num>
    number of peeks do be done, 1: default.

-e, --must-be <value>
    compare and exit if not equal.

-n, --must-not-be <value> compare and exit if equal.

-a, --and-mask <value>
    mask read value before compare.

-p, --psl-bar <bar>
    access PSL bar (CAPI only)

    <addr>

  Example:

    genwqe_peek 0x0000 [00000000] 000000021032a178

    for CAPI card (-A CAPI)

    Reg 0x0000 CAPI Card Version Reg 1 (RO) Reg 0x0008 CAPI Card Version Reg 2 (RO) Reg 0x0080 CAPI Card Free Run Timer in 4 nsec (RO) Reg 0x0180 Queue Work Time in 4 nsec (RO) Reg 0x1000 ... 0x1028 6 Fir Registers (RW)

    Only CAPI (debugging):

    genwqe_peek -ACAPI -C0 --psl-bar=2 --width=64 0x150